package com.yeejoin.amos.boot.module.hygf.biz.controller;

import com.yeejoin.amos.boot.biz.common.controller.BaseController;
import com.yeejoin.amos.boot.module.hygf.biz.service.impl.HygfIcbcServiceImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.typroject.tyboot.core.foundation.enumeration.UserType;
import org.typroject.tyboot.core.restful.doc.TycloudOperation;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;



/**
 * 并网信息
 */




@RestController
@Api(tags = "电子钱包")
@RequestMapping(value = "/icbc")
public class HygfIcbcController extends BaseController {

    @Autowired
    HygfIcbcServiceImpl hygfIcbcService;



    @TycloudOperation(ApiLevel = UserType.AGENCY, needAuth = false)
    @GetMapping(value = "/icbcRegisterWalletUrl")
    @ApiOperation(httpMethod = "GET",value = "注册电子钱包",  notes = "注册电子钱包")
    public void getHygfIcbcRegisterWalletUrl(HttpServletRequest req, HttpServletResponse resp) {
         hygfIcbcService.icbcRegisterWalletUrl(req, resp);
    }

}
